Bug 235130 - [PATCH] sysutils/xfce4-bsdcpufreq-plugin: modernize and cleanup port
Summary: [PATCH] sysutils/xfce4-bsdcpufreq-plugin: modernize and cleanup port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-01-22 14:57 UTC by Guido Falsi
Modified: 2019-02-17 15:33 UTC (History)
0 users

See Also:
riggs: maintainer-feedback+


Attachments
patch (923 bytes, patch)
2019-01-22 14:57 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Falsi freebsd_committer 2019-01-22 14:57:25 UTC
Created attachment 201334 [details]
patch

Hi,

I've committed a general cleanup and modernization patch for xfce ports in r490953.

I also made similar changes to sysutils/xfce4-bsdcpufreq-plugin.

In particular:

- Added missing dependencies
- Changed variable order to please portlint
- Cosmetic changes, like sorting things and reflowing OPTIONS related parts

Can you approve this patch?

Thanks.
Comment 1 Thomas Zander freebsd_committer 2019-02-03 14:55:46 UTC
Are the explicit dependencies to fontconfig and freetype2 really required?
Comment 2 Guido Falsi freebsd_committer 2019-02-06 19:54:54 UTC
(In reply to Thomas Zander from comment #1)
> Are the explicit dependencies to fontconfig and freetype2 really required?

Not strictly needed, since they are required by other dependencies (GTK if I'm correct), but linked directly to the binary.

Poudriere reports them as required dependencies but the port will work fine anyway,
Comment 3 commit-hook freebsd_committer 2019-02-17 15:26:28 UTC
A commit references this bug:

Author: riggs
Date: Sun Feb 17 15:25:59 UTC 2019
New revision: 493169
URL: https://svnweb.freebsd.org/changeset/ports/493169

Log:
  Modernise port Makefile

  PR:		235130
  Submitted by:	madpilot
  Reviewed by:	riggs

Changes:
  head/sysutils/xfce4-bsdcpufreq-plugin/Makefile
Comment 4 Thomas Zander freebsd_committer 2019-02-17 15:33:17 UTC
Committed, minus the transitive dependencies, thank you!